Bug 149718 - undefined C code
undefined C code
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gwget (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 13:08 EST by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 08:36:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-25 13:08:31 EST
Description of problem:

I just tried to compile package gwget-0.14.1-2 from 
Redhat Fedora Extras development tree.

The compiler said

wget-log.c:38: warning: operation on `p' may be undefined

The source code is

                                *p++ = *(p+1);

Clearly undefined code. Suggest

	{
		*p = *(p+1);
		++p;
	}


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Thorsten Leemhuis 2005-04-21 08:36:08 EDT
current version in devel compiles fine on fc4t2 -- closing this, build requested

Note You need to log in before you can comment on or make changes to this bug.